#ifndef CKCoreCredentialsStorage_h
#define CKCoreCredentialsStorage_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreCredentialsStorage: NSObject

+ (void)       addCredential:(NSString *) withUserID withPassword:(NSString *) withPassword;
+ (NSString *) getPasswordByUserID:(NSString *) withUserID;

@end

#endif

