#ifndef CKCoreNSData_h
#define CKCoreNSData_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSData

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSData (Base16)

+ (NSData *)   fromBase16:(NSString *) withBase16;
- (NSString *) toBase16;
- (NSString *) toBase16Lowercase;

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSData (Base64)

+ (NSData *)   fromBase64:(NSString *) withBase64;
- (NSString *) toBase64;

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSData (Archive)

+ (NSData *) fromRootObject:(id) withObject;
+ (id)       fromArchivedRootObject:(NSData *) withObject;

@end

#endif

