#ifndef CKCoreNSURL_h
#define CKCoreNSURL_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSURL

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSURL (Extended)

- (Boolean)    isValidUrl;
- (NSString *) toStringPath;
- (NSString *) filenameWithExtension;
- (NSString *) filenameWithoutExtension;

@end

#endif
