#ifndef CKCoreAudioEnergyMap_h
#define CKCoreAudioEnergyMap_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreAudioEnergyMap: NSObject

+ (void) calculateEnergyMap:(NSURL *) audioUrl withNumberOfPoints:(NSInteger) withNumberOfPoints completionBlock:(void (^)(NSArray *energyMap, CGFloat energyAverage)) completionBlock;

@end

#endif

