#ifndef CKCoreAutoCompleteTextField_h
#define CKCoreAutoCompleteTextField_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #import <CodKits_macOS/CodKits_macOS.h>
#else
  #import <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreAutoCompleteTextField : NSTextField

@property (nonatomic,retain) NSString *key;

- (void)      saveRecent:(NSString *) thisString;
- (NSArray *) suggestNames;

@end

#endif

