#ifndef CKCoreNSImageView_h
#define CKCoreNSImageView_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSImageView

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSImageView (Init)

- (id) initWithFrame:(CGRect) frame withImage:(NSImage *) withImage;
- (id) initWithFrame:(CGRect) frame withImageUrl:(NSURL *) withImageUrl;
- (id) initWithFrame:(CGRect) frame withImageUrl:(NSURL *) withImageUrl withPlaceholder:(NSImage *) withPlaceholder;
- (id) initWithFrame:(CGRect) frame withImageUrl:(NSURL *) withImageUrl withSpinningWheel:(Boolean) withSpinningWheel;

@end

#endif

