#ifndef CKCoreNSScreen_h
#define CKCoreNSScreen_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSScreen

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSScreen (Placement)

+ (NSScreen *)   currentScreenForMouseLocation;

- (NSPoint)      convertPointToScreenCoordinates:(NSPoint) aPoint;
- (NSPoint)      flipPoint:(NSPoint) aPoint;
- (CGSize)       screenPixelSize;
- (CGSize)       screenPhysicalSize;
- (CGFloat)      screenDPI;
- (CGSize)       screenTotalResolution;
- (NSEdgeInsets) areaInsets;

@end

#endif

