#ifndef CKCoreNumber_h
#define CKCoreNumber_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNumber: NSObject

+ (NSString *) toCurrency:(NSNumber *) withValue;
+ (NSString *) toThousands:(NSInteger) withValue;

@end

#endif

