#ifndef CKCorePasswordGenerator_h
#define CKCorePasswordGenerator_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCorePasswordGenerator : NSObject

+ (NSString *) generate:(NSInteger) lowerCaseLetters upperCaseLetters:(NSInteger) upperCaseLetters digits:(NSInteger) digits specialChars:(NSInteger) specialChars;

@end

#endif

