#ifndef CKCoreTaskScheduler_h
#define CKCoreTaskScheduler_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreTaskScheduler: NSObject

- (void) scheduleTaskEvery:(NSTimeInterval) interval taskBlock:(void (^)(void)) taskBlock;
- (void) scheduleTaskEvery:(NSTimeInterval) interval startImmediately:(Boolean) startImmediately taskBlock:(void (^)(void)) taskBlock;
- (void) invalidate;

@end

#endif

