#ifndef CKCoreNSCalendar_h
#define CKCoreNSCalendar_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSCalendar

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSCalendar (Date)

- (NSInteger) currentYear;
- (NSInteger) currentMonth;
- (NSInteger) currentDayOfTheMonth;

@end

#endif

