#ifndef CKCoreParallelProcessing_h
#define CKCoreParallelProcessing_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreParallelProcessing: NSObject

@property (nonatomic) NSInteger maxThreads;

- (void) addOperationWithBlock:(void (^)(void)) block;
- (void) waitForAllOperationsToFinish;

@end

#endif

