#ifndef CKCoreCameraSnapshot_h
#define CKCoreCameraSnapshot_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreCameraSnapshot: NSObject

- (void)    snapshotToUrl:(NSURL *) toUrl completionBlock:(void (^)(NSImage *snapshotImage)) completionBlock;
- (void)    snapshot:(void (^)(NSImage *snapshotImage)) completionBlock;
- (void)    stopCamera;
- (Boolean) startCamera:(AVCaptureDevice *) withDevice;

@end

#endif

