#ifndef CKCoreLocalCredentials_h
#define CKCoreLocalCredentials_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreLocalCredentials : NSObject

+ (Boolean) isValidCredentials:(NSString *) accountUsername accountPassword:(NSString *) accountPassword;

@end

#endif

