#ifndef CKCoreNSMutableString_h
#define CKCoreNSMutableString_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSMutableString

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSMutableString (Extended)

- (void) mutableTrim;
- (void) mutableTrimLastCharacters:(NSUInteger) numberOfCharacters;
- (void) mutableTrimLastCharacter;
- (void) mutableRemoveNonAlphanumeric;
- (void) mutableRemoveAllWhitespaces;
- (void) mutableStripWhitespace;
- (void) mutableRemoveCharacters:(NSString *) toRemove;

@end

#endif


