#ifndef CKCoreNSTextField_h
#define CKCoreNSTextField_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreNSTextField

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSTextField (Extended)

+ (void) setPlaceholderColor:(NSTextField *) withControl withString:(NSString *) withString withColor:(NSColor *) withColor;

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSTextField (Size)

@property(nonatomic, assign) CGFloat       fontSize;

- (void) adjustHeightToContent;
- (void) adjustHeightToContent:(CGFloat) withGap;
- (void) adjustWidthToContent;
- (void) adjustWidthToContent:(CGFloat) withGap;
- (void) adjustToContent;
- (void) adjustToContent:(CGFloat) withGap;
- (void) adjustToContent:(CGFloat) withXGap withYGap:(CGFloat) withYGap;

@end

#endif
