#ifndef CKCorePasteBoard_h
#define CKCorePasteBoard_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCorePasteBoard : NSObject

- (void)       clear;
- (void)       writeTo:(NSString *) thisData;
- (NSString *) readString;

@end

#endif

