#ifndef CKCoreQuickSoundPlay_h
#define CKCoreQuickSoundPlay_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreQuickSoundPlay: NSObject

+ (void) playWav:(NSString *) withSoundFile;
+ (void) playMp3:(NSString *) withSoundFile;
+ (void) playWavFromBundle:(NSString *) withSoundName;
+ (void) playMp3FromBundle:(NSString *) withSoundName;
+ (void) playSoundFromUrl:(NSURL *) withSoundUrl;
+ (void) playButtonClickSound;
+ (void) playCameraShutterSound;
+ (void) playObjectDeletedSound;
+ (void) playSuccessSound;
+ (void) playFailureSound;

@end

#endif

