#ifndef CKCoreUrlDownloader_h
#define CKCoreUrlDownloader_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreUrlDownloader: NSObject

- (void) cleanUp;
- (void) getUrls:(NSArray <NSURL *> *) withUrlsList completionBlock:(void (^)(Boolean isSuccess, NSError *error)) completionBlock taskCompletionBlock:(void (^)(id responseObject, NSError *error, NSInteger statusCode, NSInteger remainingCount)) taskCompletionBlock;
- (void) getUrl:(NSURL *) withUrl completionBlock:(void (^)(Boolean isSuccess, NSError *error)) completionBlock taskCompletionBlock:(void (^)(id responseObject, NSError *error, NSInteger statusCode, NSInteger remainingCount)) taskCompletionBlock;

@end

#endif

