#ifndef CKCoreAVAssetTrack_h
#define CKCoreAVAssetTrack_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

#import <AVFoundation/AVFoundation.h>

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreAVAssetTrack

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface AVAssetTrack (Info)

- (NSInteger)              numberOfChannels;
- (CGSize)                 assetSize;
- (CGFloat)                assetWidth;
- (CGFloat)                assetHeight;
- (CGFloat)                assetSizeRatio;
- (Boolean)                assetIsPortraitMode;

#if TARGET_OS_IOS
- (UIInterfaceOrientation) assetOrientation;
#endif

@end

#endif

