#ifndef CKCoreAnimatedBorderView_h
#define CKCoreAnimatedBorderView_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

NS_ASSUME_NONNULL_BEGIN

//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreAnimatedBorderView: NSView

@property (nonatomic) NSColor              *backgroundrColor;
@property (nonatomic) NSColor              *borderColor;
@property (nonatomic) NSArray <NSNumber *> *borderPattern;
@property (nonatomic) CGFloat               borderWidth;
@property (nonatomic) Boolean               borderAnimate;
@property (nonatomic) CGFloat               borderRadius;

- (void) cleanUp;

@end

NS_ASSUME_NONNULL_END

#endif

