#ifndef CKCoreCamera_h
#define CKCoreCamera_h

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreCamera : NSObject

- (NSArray *)         listOfConnectedDevices;
- (AVCaptureDevice *) defaultDevice;
- (AVCaptureDevice *) deviceNamed:(NSString *) name;

@end

#endif

