#ifndef CKCoreDockIcon_h
#define CKCoreDockIcon_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreDockIcon: NSObject

@property (nonatomic) NSImage                    *icon;
@property (nonatomic) Boolean                     borderVisible;
@property (nonatomic) CGFloat                     borderRadius;
@property (nonatomic) CGFloat                     borderWidth;
@property (nonatomic) NSColor                    *borderColor;
@property (nonatomic) NSString                   *badgeText;
@property (nonatomic) CGSize                      size;

- (void) cleanUp;

@end

#endif

