#ifndef CKCoreObserverDeallocator_h
#define CKCoreObserverDeallocator_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #import <CodKits_macOS/CodKits_macOS.h>
#else
  #import <CodKits_iOS/CodKits_iOS.h>
#endif

typedef void(^CKCoreObserverDeallocatorCallback)(id receiver);

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreObserverDeallocator : NSObject

@end

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface NSObject (CKCoreObserverDeallocator)

- (void) CKCoreObserver_addDeallocationCallback:(CKCoreObserverDeallocatorCallback) block;

@end

#endif

