#ifndef CKCoreRandom_h
#define CKCoreRandom_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreRandom: NSObject

+ (NSInteger)  integerNumber:(NSInteger) toIncluded;
+ (NSInteger)  integerNumberFromTo:(NSInteger) from toIncluded:(NSInteger) toIncluded;
+ (NSInteger)  charValueFromTo:(char) from toIncluded:(char) toIncluded;
+ (NSString *) uuid;
+ (CGFloat)    floatNumber:(CGFloat) toIncluded;
+ (CGFloat)    floatNumberFromTo:(CGFloat) from toIncluded:(CGFloat) toIncluded;
+ (NSData *)   bytes:(NSUInteger) withLength;
+ (Boolean)    trueFalse;
+ (id)         itemFromArray:(NSArray *) withArray;

@end

#endif

