#ifndef CKCoreResources_h
#define CKCoreResources_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
// INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreResources: NSObject

+ (NSArray *)  listOfResources:(NSString *) withSuffix;
+ (void)       activateFonts:(NSArray <NSString *> *) fontNames;
+ (NSBundle *) resourcesBundle;
+ (NSImage *)  PNGImageFromResourceBundle:(NSString *) imageName;
+ (NSURL *)    URLForResource:(NSString *) resourceName;

@end

#endif


