#ifndef CKCoreSoundPlay_h
#define CKCoreSoundPlay_h

#import <Foundation/Foundation.h>

#if TARGET_OS_OSX
  #include <CodKits_macOS/CodKits_macOS.h>
#else
  #include <CodKits_iOS/CodKits_iOS.h>
#endif

//-------------------------------------------------------------------------------------------------------------------------
#pragma mark - INTERFACE
//-------------------------------------------------------------------------------------------------------------------------
@interface CKCoreSoundPlay: NSObject

@property (nonatomic) Boolean             isPlaying;

- (id)   initWithSound:(NSURL *) withUrl;
- (id)   initWithMp3Data:(NSData *) withData;
- (void) play:(void (^)(void)) completionBlock;
- (void) pause;
- (void) cleanUp;

@end

#endif

